<template>
     <form @submit.prevent="validateBeforeSubmit(editMode)" class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed">
        <div class="m-portlet__body">
          <div class="row item_details_div" v-if="s_fields.end_item.id">
            <div class="m-portlet__body col-md-6">
                <div class="m-widget13">
                  <div class="m-widget13__item">
                    <span class="m-widget13__desc m--align-right">
                      کود جنس :
                    </span>
                    <span class="m-widget13__text m-widget13__text-bolder">
                      {{s_fields.end_item.end_item_details.item_details_code}}
                    </span>
                  </div>
                  <div class="m-widget13__item">
                    <span class="m-widget13__desc m--align-right">
                      جزییُات جنس :
                    </span>
                    <span class="m-widget13__text m-widget13__text-bolder">
                        {{s_fields.end_item.end_item_details.end_item_details_dr}}
                    </span>
                  </div>
                  <div class="m-widget13__item">
                    <span class="m-widget13__desc m--align-right">
                      نمبر م۷ :
                    </span>
                    <span class="m-widget13__text m-widget13__text-bolder">
                      {{s_fields.end_item.m7_number}}
                    </span>
                  </div>
                  <div class="m-widget13__item">
                    <span class="m-widget13__desc m--align-right">
                      تعداد
                    </span>
                    <span class="m-widget13__text m-widget13__text-bolder">
                      {{s_fields.end_item.number_of_item}}
                    </span>
                  </div>
                </div>
              </div>
              <div class="m-portlet__body col-md-6">
                  <div class="m-widget13">
                    <div class="m-widget13__item">
                      <span class="m-widget13__desc m--align-right">
                        تاریخ رسید :
                      </span>
                      <span class="m-widget13__text m-widget13__text-bolder">
                          {{s_fields.end_item.inward_date}}
                      </span>
                    </div>
                    <div class="m-widget13__item">
                      <span class="m-widget13__desc m--align-right">
                        ریاست / اداره :‌
                      </span>
                      <span class="m-widget13__text m-widget13__text-bolder">
                          ریاست تکنالوژی معلوماتی
                      </span>
                    </div>
                    <div class="m-widget13__item">
                      <span class="m-widget13__desc m--align-right">
                          معتمید :
                      </span>
                      <span class="m-widget13__text m-widget13__text-bolder">
                          رحیم
                      </span>
                    </div>
                    <div class="m-widget13__item">
                      <span class="m-widget13__desc m--align-right">
                        ورانتی / گرانتی :
                      </span>
                      <span class="m-widget13__text m-widget13__number-bolder m--font-brand">
                          {{s_fields.end_item.warranty}}
                      </span>
                    </div>

                  </div>
                </div>
          </div>
					<div class="form-group m-form__group row">
            <div class="col-md-6">
  						<label for="directorate">{{$t('global.directorate')}}</label>
              <v-select name="directorate" label="name_dr" v-validate="'required'"  dir="rtl" :options="options.directorate" v-model='s_fields.directorate'>
              </v-select>
              <span v-if="s_errors && s_errors.directorate" class="m-form__help text-danger">{{s_errors.directorate[0]}}</span>
              <span v-else class="m-form__help">{{$t('global.directorate_note')}}</span>
            </div>

            <div class="col-md-6">
              <label for="department">{{$t('global.department')}}</label>
              <v-select name="department" label="name_dr" v-validate="'required'"  dir="rtl" :options="options.department" v-model='s_fields.department'>
              </v-select>
              <span v-if="s_errors && s_errors.department" class="m-form__help text-danger">{{s_errors.department[0]}}</span>
              <span v-else class="m-form__help">{{$t('global.department_note')}}</span>
            </div>
					</div>

          <div class="form-group m-form__group row">
            <div class="col-md-6">
              <label for="assigned_by">{{$t('allotment.from_person')}}</label>
              <v-select name="assigned_by" label="name_dr" v-validate="'required'"  dir="rtl"  :options="options.assigned_by" v-model='s_fields.assigned_by'>
              </v-select>
              <span v-if="s_errors && s_errors.assigned_by" class="m-form__help text-danger">{{s_errors.assigned_by[0]}}</span>
              <span v-else class="m-form__help">{{$t('allotment.assigned_by_note')}}</span>
            </div>

            <div class="col-md-6">
              <label for="position">{{$t('global.position')}}</label>
  						<input type="text" name="position" class="form-control m-input m-input--square" id="position" v-validate="'required'" :placeholder="$t('global.position_ph')" v-model="s_fields.position" >
              <span v-if="s_errors && s_errors.position"  class="m-form__help text-danger">{{s_errors.position[0]}}</span>
              <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('position')}" >{{errors.has('position') ? errors.first('position'): $t("global.position_note") }} </span>
            </div>
          </div>

          <div class="form-group m-form__group row">
            <div class="col-md-6">
              <label for="directorate">{{$t('allotment.items')}}</label>
              <v-select name="inward_item" label="end_item_details_dr" v-validate="'required'"  dir="rtl" :options="options.inward_item" v-model='s_fields.inward_item' @input="showItemDetails('api/inward_details',$event.inward_id,'end_item')">
              </v-select>
              <span v-if="s_errors && s_errors.inward_item" class="m-form__help text-danger">{{s_errors.inward_item[0]}}</span>
              <span v-else class="m-form__help">{{$t('allotment.items_note')}}</span>
            </div>
            <div class="col-md-6">
              <label for="directorate">{{$t('allotment.to_person')}}</label>
              <v-select name="assigned_to" label="name_dr" v-validate="'required'"  dir="rtl" :options="options.assigned_to" v-model='s_fields.assigned_to'>
              </v-select>
              <span v-if="s_errors && s_errors.assigned_to" class="m-form__help text-danger">{{s_errors.assigned_to[0]}}</span>
              <span v-else class="m-form__help">{{$t('allotment.assigned_to_note')}}</span>
            </div>
          </div>
          <div class="form-group m-form__group row">
            <div class="col-md-6">
              <label for="allot_date">{{$t('allotment.allot_date')}}</label>
  						<input type="text" name="allot_date" class="form-control m-input m-input--square" id="allot_date" v-validate="'required'" :placeholder="$t('allotment.allot_date_ph')" v-model="s_fields.allot_date">
              <span v-if="s_errors && s_errors.allot_date" class="m-form__help text-danger">{{s_errors.allot_date[0]}}</span>
              <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('allot_date')}" >{{errors.has('allot_date') ? errors.first('allot_date'): $t("allotment.allot_date_note") }} </span>
            </div>

            <div class="col-md-6">
              <label for="fees5_number">{{$t('allotment.fees5_number')}}</label>
              <input type="text" name="fees5_number" class="form-control m-input m-input--square" id="fees5_number" v-validate="'required'" :placeholder="$t('allotment.fees5_number_ph')" v-model="s_fields.fees5_number">
              <span v-if="s_errors && s_errors.fees5_number" class="m-form__help text-danger">{{s_errors.fees5_number[0]}}</span>
              <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('fees5_number')}" >{{errors.has('fees5_number') ? errors.first('fees5_number'): $t("allotment.fees5_number_note") }} </span>
            </div>
          </div>

          <div class="form-group m-form__group row">
            <div class="col-md-6">
              <label for="number_of_item">{{$t('allotment.number_of_item')}}</label>
              <input type="text" name="number_of_item" class="form-control m-input m-input--square" id="number_of_item" v-validate="'required'" :placeholder="$t('allotment.number_of_item_ph')" v-model="s_fields.number_of_item">
              <span v-if="s_errors && s_errors.number_of_item" class="m-form__help text-danger">{{s_errors.number_of_item[0]}}</span>
              <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('number_of_item')}" >{{errors.has('number_of_item') ? errors.first('number_of_item'): $t("allotment.number_of_item_note") }} </span>
            </div>
            <div class="col-md-6">
              <label for="sanction_by">{{$t('global.sanction_by')}}</label>
              <v-select name="sanction_by" label="name_dr" v-validate="'required'"  dir="rtl" :options="options.sanction_by" v-model='s_fields.sanction_by'>
              </v-select>
              <span v-if="s_errors && s_errors.sanction_by" class="m-form__help text-danger">{{s_errors.sanction_by[0]}}</span>
              <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('sanction_by')}" >{{errors.has('sanction_by') ? errors.first('sanction_by'): $t("global.sanction_note") }} </span>
            </div>
          </div>

				</div>
        <div class="m-portlet__foot m-portlet__no-border m-portlet__foot--fit">
            <div class="m-form__actions m-form__actions--solid">
                <div class="row">
                    <div class="col-lg-2"></div>
                    <div class="col-lg-6">
                        <button type="submit" class="btn btn-brand">{{this.$route.meta.btn_label}}</button>
                        <router-link to="/items/allot_to_individual" class="btn btn-secondary">{{$t('global.cancel')}}</router-link>
                    </div>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        name: 'InwardForm',
        mixins: [SubmitForm],
        data(){
            return {
                'url': 'api/allotment',
                'editMode': this.$route.meta.editMode,
                options: {
                },
                s_fields: {
                  directorate: ['یگ گزینه را انتخاب کنید.'],
                  department: ['یگ گزینه را انتخاب کنید.'],
                  assigned_by: ['یگ گزینه را انتخاب کنید.'],
                  assigned_to: ['یگ گزینه را انتخاب کنید.'],
                  sanction_by: ['یگ گزینه را انتخاب کنید.'],
                  inward_item: ['یگ گزینه را انتخاب کنید.'],
                  position: 'مدیر اپلکش ها',
                  end_item: {
                    end_item_details: []
                  }
                },
            }
        },
        created()
        {
            this.$root.$on('get-data-for-edit', () => {
              this.getDataForEdit();
              this.$root.$off('get-data-for-edit');
            });

            //Listen to get-end-item event and call get_public_data function
            this.$root.$on('get-allotment-option', () => {
              this.getOptions('api/get_allotment_options');
              this.$root.$off('get-allotment-option');
            });

        }
    }
</script>
